%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      pgf
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        0.65
Release:        2%{?dist}
Summary:        Create PostScript and PDF graphics in TeX

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/pgf.html
# DANTE generates CTAN packages tarballs on-the-fly
# ftp://ftp.dante.de/tex-archive/graphics/pgf.tar.gz
Source0:        pgf-0.65-20050315.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/kpsewhich
Requires:       tetex-latex, tetex-xcolor
Requires(post): /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
PGF is a macro package for creating graphics directly in TeX and
LaTeX.  Its usage is similar to pstricks and the standard picture
environment.  Unlike pstricks, it produces both PostScript and PDF
output and works together with latex, dvips, pdftex, and pdflatex.
PGF is used extensively with beamer for production of presentations.


%prep
%setup -q -n %{texpkg}

%build

%install
rm -rf $RPM_BUILD_ROOT
 
install -d -m 755 $RPM_BUILD_ROOT{%{texpkgdir},%{texpkgdoc}}
install -p -m 644 *.sty $RPM_BUILD_ROOT%{texpkgdir}/
install -p -m 644 *.pdf $RPM_BUILD_ROOT%{texpkgdoc}/

%clean
rm -rf $RPM_BUILD_ROOT


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO pgfuserguide.tex *.eps *.jpg
%{texpkgdir}/
%{_texmf}/doc/


%changelog
* Thu Jun  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.65-2
- Missing build requirement: /usr/bin/kpsewhich.
- Dist tag.

* Wed Feb 23 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.65-1
- First build.
